{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.ender_target.reached": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{ "ender_charger": "q.property('ldz:target_reached') == 'ender_charger'" },
						{ "ender_chef": "q.property('ldz:target_reached') == 'ender_chef'" },
						{ "ender_gardener": "q.property('ldz:target_reached') == 'ender_gardener'" },
						{ "ender_hydro": "q.property('ldz:target_reached') == 'ender_hydro'" }
					]
				},
				"ender_charger": {
					"on_entry": [
						"/function ender_target/ender_charger"
					],
					"transitions": [
						{ "despawn": "true" }
					]
				},
				"ender_chef": {
					"on_entry": [
						"/function ender_target/ender_chef"
					],
					"transitions": [
						{ "despawn": "true" }
					]
				},
				"ender_gardener": {
					"on_entry": [
						"/function ender_target/ender_gardener"
					],
					"transitions": [
						{ "despawn": "true" }
					]
				},
				"ender_hydro": {
					"on_entry": [
						"/function ender_target/ender_hydro"
					],
					"transitions": [
						{ "despawn": "true" }
					]
				},
				"despawn": {
					"on_entry": [
						"@s despawn"
					]
				}
			}
		}
	}
}